package com.qianhe.zqcz.pwxx.service;

import com.qianhe.zqcz.pwxx.domain.ZqczPwxx;
import com.qianhe.zqcz.pwxx.domain.ZqczPwxxQuery;
import com.qianhe.zqcz.pwxx.domain.ZqczPwxxVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface ZqczPwxxService {
    /**
     * 条件查询
     */
    List<ZqczPwxxVo> list(ZqczPwxxQuery zqczPwxxQuery);

    /**
     * 查询详情
     */
    ZqczPwxxVo info(Long pwid);

    /**
     * 新增
     */
    int add(ZqczPwxx zqczPwxx, String username);

    /**
     * 修改
     */
    int edit(ZqczPwxx zqczPwxx, String username);

    /**
     * 删除
     */
    int delete(Long[] ids);

    /**
     * 导入
     */
    int importExcel(Long jcrwid, MultipartFile file);
}
